org.apache.geode.cache.configuration

## Class RegionAttributesType.PartitionAttributes

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.PartitionAttributes

- Enclosing class:
    RegionAttributesType

      public static class RegionAttributesType.PartitionAttributes
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="partition-resolver" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                       <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="partition-listener" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="fixed-partition-attributes" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="partition-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="is-primary" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="num-buckets" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="local-max-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="recovery-delay" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="redundant-copies" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="startup-recovery-delay" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="total-max-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="total-num-buckets" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="colocated-with" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RegionAttributesType.PartitionAttributes.FixedPartitionAttributes` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.PartitionAttributes.PartitionListener` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.PartitionAttributes.PartitionResolver` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `colocatedWith`
    `protected java.util.List<RegionAttributesType.PartitionAttributes.FixedPartitionAttributes>` | `fixedPartitionAttributes`
    `protected java.lang.String` | `localMaxMemory`
    `protected java.util.List<RegionAttributesType.PartitionAttributes.PartitionListener>` | `partitionListener`
    `protected RegionAttributesType.PartitionAttributes.PartitionResolver` | `partitionResolver`
    `protected java.lang.String` | `recoveryDelay`
    `protected java.lang.String` | `redundantCopies`
    `protected java.lang.String` | `startupRecoveryDelay`
    `protected java.lang.String` | `totalMaxMemory`
    `protected java.lang.String` | `totalNumBuckets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColocatedWith()` Gets the value of the colocatedWith property.
    `java.util.List<RegionAttributesType.PartitionAttributes.FixedPartitionAttributes>` | `getFixedPartitionAttributes()` Gets the value of the fixedPartitionAttributes property.
    `java.lang.String` | `getLocalMaxMemory()` Gets the value of the localMaxMemory property.
    `java.util.List<RegionAttributesType.PartitionAttributes.PartitionListener>` | `getPartitionListener()` Gets the value of the partitionListener property.
    `RegionAttributesType.PartitionAttributes.PartitionResolver` | `getPartitionResolver()` Gets the value of the partitionResolver property.
    `java.lang.String` | `getRecoveryDelay()` Gets the value of the recoveryDelay property.
    `java.lang.String` | `getRedundantCopies()` Gets the value of the redundantCopies property.
    `java.lang.String` | `getStartupRecoveryDelay()` Gets the value of the startupRecoveryDelay property.
    `java.lang.String` | `getTotalMaxMemory()` Gets the value of the totalMaxMemory property.
    `java.lang.String` | `getTotalNumBuckets()` Gets the value of the totalNumBuckets property.
    `void` | `setColocatedWith(java.lang.String value)` Sets the value of the colocatedWith property.
    `void` | `setLocalMaxMemory(java.lang.String value)` Sets the value of the localMaxMemory property.
    `void` | `setPartitionResolver(RegionAttributesType.PartitionAttributes.PartitionResolver value)` Sets the value of the partitionResolver property.
    `void` | `setRecoveryDelay(java.lang.String value)` Sets the value of the recoveryDelay property.
    `void` | `setRedundantCopies(java.lang.String value)` Sets the value of the redundantCopies property.
    `void` | `setStartupRecoveryDelay(java.lang.String value)` Sets the value of the startupRecoveryDelay property.
    `void` | `setTotalMaxMemory(java.lang.String value)` Sets the value of the totalMaxMemory property.
    `void` | `setTotalNumBuckets(java.lang.String value)` Sets the value of the totalNumBuckets property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### partitionResolver

          protected RegionAttributesType.PartitionAttributes.PartitionResolver partitionResolver

    - #### partitionListener

          protected java.util.List<RegionAttributesType.PartitionAttributes.PartitionListener> partitionListener

    - #### fixedPartitionAttributes

          protected java.util.List<RegionAttributesType.PartitionAttributes.FixedPartitionAttributes> fixedPartitionAttributes

    - #### localMaxMemory

          protected java.lang.String localMaxMemory

    - #### recoveryDelay

          protected java.lang.String recoveryDelay

    - #### redundantCopies

          protected java.lang.String redundantCopies

    - #### startupRecoveryDelay

          protected java.lang.String startupRecoveryDelay

    - #### totalMaxMemory

          protected java.lang.String totalMaxMemory

    - #### totalNumBuckets

          protected java.lang.String totalNumBuckets

    - #### colocatedWith

          protected java.lang.String colocatedWith

  - ### Constructor Detail

    - #### PartitionAttributes

          public PartitionAttributes()

  - ### Method Detail

    - #### getPartitionResolver

          public RegionAttributesType.PartitionAttributes.PartitionResolver getPartitionResolver()

      Gets the value of the partitionResolver property.
      Returns:
        possible object is `RegionAttributesType.PartitionAttributes.PartitionResolver`

    - #### setPartitionResolver

          public void setPartitionResolver(RegionAttributesType.PartitionAttributes.PartitionResolver value)

      Sets the value of the partitionResolver property.
      Parameters:
        `value` - allowed object is `RegionAttributesType.PartitionAttributes.PartitionResolver`

    - #### getPartitionListener

          public java.util.List<RegionAttributesType.PartitionAttributes.PartitionListener> getPartitionListener()

      Gets the value of the partitionListener property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the partitionListener property.

      For example, to add a new item, do as follows:

           getPartitionListener().add(newItem);

      Objects of the following type(s) are allowed in the list `RegionAttributesType.PartitionAttributes.PartitionListener`

    - #### getFixedPartitionAttributes

          public java.util.List<RegionAttributesType.PartitionAttributes.FixedPartitionAttributes> getFixedPartitionAttributes()

      Gets the value of the fixedPartitionAttributes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fixedPartitionAttributes property.

      For example, to add a new item, do as follows:

           getFixedPartitionAttributes().add(newItem);

      Objects of the following type(s) are allowed in the list `RegionAttributesType.PartitionAttributes.FixedPartitionAttributes`

    - #### getLocalMaxMemory

          public java.lang.String getLocalMaxMemory()

      Gets the value of the localMaxMemory property.
      Returns:
        possible object is `String`

    - #### setLocalMaxMemory

          public void setLocalMaxMemory(java.lang.String value)

      Sets the value of the localMaxMemory property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRecoveryDelay

          public java.lang.String getRecoveryDelay()

      Gets the value of the recoveryDelay property.
      Returns:
        possible object is `String`

    - #### setRecoveryDelay

          public void setRecoveryDelay(java.lang.String value)

      Sets the value of the recoveryDelay property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRedundantCopies

          public java.lang.String getRedundantCopies()

      Gets the value of the redundantCopies property.
      Returns:
        possible object is `String`

    - #### setRedundantCopies

          public void setRedundantCopies(java.lang.String value)

      Sets the value of the redundantCopies property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartupRecoveryDelay

          public java.lang.String getStartupRecoveryDelay()

      Gets the value of the startupRecoveryDelay property.
      Returns:
        possible object is `String`

    - #### setStartupRecoveryDelay

          public void setStartupRecoveryDelay(java.lang.String value)

      Sets the value of the startupRecoveryDelay property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTotalMaxMemory

          public java.lang.String getTotalMaxMemory()

      Gets the value of the totalMaxMemory property.
      Returns:
        possible object is `String`

    - #### setTotalMaxMemory

          public void setTotalMaxMemory(java.lang.String value)

      Sets the value of the totalMaxMemory property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTotalNumBuckets

          public java.lang.String getTotalNumBuckets()

      Gets the value of the totalNumBuckets property.
      Returns:
        possible object is `String`

    - #### setTotalNumBuckets

          public void setTotalNumBuckets(java.lang.String value)

      Sets the value of the totalNumBuckets property.
      Parameters:
        `value` - allowed object is `String`

    - #### getColocatedWith

          public java.lang.String getColocatedWith()

      Gets the value of the colocatedWith property.
      Returns:
        possible object is `String`

    - #### setColocatedWith

          public void setColocatedWith(java.lang.String value)

      Sets the value of the colocatedWith property.
      Parameters:
        `value` - allowed object is `String`